Subject: Re: bug#62562: 30.0.50; [PATCH] Some new SVG icons

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Apr 2023 09:50:23 +0300

>>> Looks nice! BTW, how could I apply a mouse-face to the buttons in the
>>> tab-bar? I poked around and mouse-face doesn’t seem to take an effect?
>>
>> Currently mouse-face is not supported neither by define-icon not by tab-bar.
>
> Ah, I see.  How are the buttons implemented then?  If I move my
> pointer on top of it, it shows the “pressed” face.  I’m trying to
> style the buttons on the tab-bar.

Mouse pointer hovering is handled in 'note_tab_bar_highlight' by using
DRAW_IMAGE_SUNKEN.  But you could try to style the image attributes
such as :margin and :ascent in define-icon.